<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Friend List</title>
  </head>
  <body>
    <table>
      <tr>
        <th>Name</th>
        <th>NPM</th>
        <th>DOB</th>
      </tr>
      <!-- TODO loop from Friend model untuk melengkapi tabel -->
      {% if friends %} <!-- Melakukan pengecekan apakah friends terdefinisi -->
      {% for i in friends %} <!-- For loop berjalan untuk setiap Friend pada friends -->
      <tr>
        <td> {{ i.name }} </td> <!-- Menambahkan data name, npm, dan dob pada tabel dari atribut Friend -->
        <td> {{ i.npm }} </td>
        <td> {{ i.dob }} </td>
      </tr>
      {% endfor %} <!-- Akhir dari for loop -->
      {% endif %} <!-- Akhir dari conditional statement -->

      <!-- EXAMPLE SECTION -->
      <!-- <tr>
        <td>Asmara Nugi</td>
        <td>1706032156</td>
        <td>May 1, 1999</td>
      </tr>
      <tr>
        <td>Fadli Rais</td>
        <td>1706032370</td>
        <td>Sept 11, 1998</td>
      </tr> -->
      <!-- END SECTION -->
    </table>
  </body>
</html>
